CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

The <strong>Poool</strong> module implements the <a href="https://poool.tech/">Poool</a> paywall solution.

REQUIREMENTS
------------

  * Get a poool subscription. 


INSTALLATION
------------

 * Install this module normally, just like you would install a
   contributed Drupal module. Visit https://www.drupal.org/node/1897420 for
   further information.


CONFIGURATION
-------------

    1. Navigate to Administration > Extend and enable the module.
    2. Navigate to Administration > Configuration > Web services > Poool and
       configure your implementation.
    3. Optionnaly, you can alter some data and configurations thanks to alters.
       See poool.api.php for more details.


OVERRIDE COOKIES AUTHORIZATION BY JAVASCRIPT
--------------------------------------------

For RGPD considerations, you can send to poool if cookies have been allowed.
Here is an example for Matomo configuration with an audience group.

<code>
(function($, Drupal, drupalSettings) {
    Drupal.behaviors.withMatomo = {
        attach: function(context, settings) {
          Drupal.eu_cookie_compliance('postPreferencesLoad', function(){
            if (Drupal.eu_cookie_compliance.hasAgreed('audience')) {
              // Tell poool it's allowed to track with cookies.
              drupalSettings.poool.config.cookies_enabled = true;
            }
          });
        }
    };
})(jQuery, Drupal, drupalSettings);
</code>

MAINTAINERS
-----------

 * Fabien Clément (Goz) - https://www.drupal.org/u/goz

Supporting organizations:

 * Iloofo  - https://www.drupal.org/iloofo
